Package wx :: Package lib :: Package agw :: Module flatmenu :: Class FlatMenuBase

[frames | no frames]

## Type FlatMenuBase

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
               PopupWindow --+
                             |
             ShadowPopupWindow --+
                                 |
                                FlatMenuBase

Known Subclasses:
  `FlatMenu`

Base class for generic flat menu derived from wx.PopupWindow.

Method Summary
| ``__init__`(self, parent)` Default class constructor.
| ``AdjustPosition`(self, pos)` Adjusts position so the menu will be fully visible on screen.
| ``Dismiss`(self, dismissParent, resetOwner)` Dismisses the popup window.
| ``GetMenuOwner`(self)` Returns the menu logical owner, the owner does not necessarly mean the menu parent, it can also be the window that popped up it.
| ``GetRootMenu`(self)` Gets the top level menu.
| ``OnChildDismiss`(self)` Handles children dismiss.
| ``OnDismiss`(self)` Fires an event EVT_FLAT_MENU_DISMISSED and handle menu dismiss.
| ``Popup`(self, pt, parent)` Popups menu at point 'pt'.
| ``ScrollDown`(self)` Scroll one unit down.
| ``ScrollUp`(self)` Scroll one unit up.
| ``SetOwnerHeight`(self, height)` Sets the menu owner height, this will be used to position the menu below or above the owner.

Property Summary

Instance Method Details

### __init__(self, parent=None)
(Constructor)

Default class constructor.

  Overrides:
    `wx.lib.agw.flatmenu.ShadowPopupWindow.__init__`

### AdjustPosition(self, pos)

Adjusts position so the menu will be fully visible on screen.

### Dismiss(self, dismissParent, resetOwner)

Dismisses the popup window.

### GetMenuOwner(self)

Returns the menu logical owner, the owner does not necessarly mean the menu parent, it can also be the window that popped up it.

### GetRootMenu(self)

Gets the top level menu.

### OnChildDismiss(self)

Handles children dismiss.

### OnDismiss(self)

Fires an event EVT_FLAT_MENU_DISMISSED and handle menu dismiss.

### Popup(self, pt, parent)

Popups menu at point 'pt'. 'pt' assumed to be in screen coordinates. However, if parent is not None, 'pt' is translated into the screen coordinates using parent.ClientToScreen().

### ScrollDown(self)

Scroll one unit down. By default this function is empty, let derived class do something.

### ScrollUp(self)

Scroll one unit up. By default this function is empty, let derived class do something.

### SetOwnerHeight(self, height)

Sets the menu owner height, this will be used to position the menu below or above the owner.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:26 2009 | http://epydoc.sf.net